USE [COWS]
GO
_CreateObject 'SP','dbo','getMDSEventData'
GO
--Stored procedure was rewritten under web.getMDSEventData

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[getMDSEventData]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[getMDSEventData]
GO



-- =============================================    
-- Author:  sbg9814    
-- Create date: 08/16/2011    
-- Description: Get the required data for an MDS Event when a H5/H6 value is entered.    
-- =============================================    
--ALTER PROCEDURE [dbo].[getMDSEventData]     
-- @H5_H6_CUST_ID  Varchar(20) = ''    
-- ,@EVENT_ID   Int    
-- ,@TAB_NME   Varchar(50)    
-- ,@FSA_MDS_EVENT_ID Int    
-- ,@Tab_Seq_Nbr TinyInt    
--AS    
--BEGIN    
--SET NOCOUNT ON    
--Begin Try    
    
--OPEN SYMMETRIC KEY FS@K3y     
--DECRYPTION BY CERTIFICATE S3cFS@CustInf0;    
    
--DECLARE @Table TABLE    
-- (ORDR_ID   Int   NULL    
-- ,PROD_TYPE_CD  VARCHAR(2) NULL    
-- ,EVENT_ID   Int   NULL    
-- ,FSA_MDS_EVENT_ID Int   NULL)    
    
--IF @H5_H6_CUST_ID != 0    
-- BEGIN    
--  INSERT INTO @Table (ORDR_ID,PROD_TYPE_CD,  EVENT_ID, FSA_MDS_EVENT_ID)    
--    SELECT                  od.ORDR_ID, fo.PROD_TYPE_CD, 0,                 0    
--                        FROM        dbo.ORDR    od    WITH (NOLOCK)    
--                                          INNER JOIN dbo.FSA_ORDR fo WITH (NOLOCK) ON od.ORDR_ID = fo.ORDR_ID    
--                                          INNER JOIN dbo.ACT_TASK at WITH (NOLOCK) on  od.ORDR_ID = at.ORDR_ID    
--                        WHERE       fo.PROD_TYPE_CD != 'CN'    
--                                         AND ((at.TASK_ID = 1000 AND at.STUS_ID = 3)    
--                                          OR (at.TASK_ID in (300, 301) AND at.STUS_ID = 2))    
--                                          AND fo.ordr_actn_id = 2    
--                                          AND od.H5_H6_CUST_ID  = @H5_H6_CUST_ID    
--                                          AND od.ORDR_STUS_ID = 1    
--                                          AND od.ordr_cat_id = 2    
--                                          --AND od.ORDR_ID = 2192    
-- END    
--ELSE    
-- BEGIN    
--  INSERT INTO @Table (ORDR_ID, PROD_TYPE_CD, EVENT_ID, FSA_MDS_EVENT_ID)    
--   --SELECT   fe.ORDR_ID, fm.EVENT_ID,fe.FSA_MDS_EVENT_ID    
--   SELECT   0, 0, fm.EVENT_ID, FSA_MDS_EVENT_ID    
--    FROM  dbo.FSA_MDS_EVENT  fm WITH (NOLOCK)    
--    --LEFT JOIN dbo.FSA_MDS_EVENT_ORDR fe WITH (NOLOCK) ON fm.FSA_MDS_EVENT_ID = fe.FSA_MDS_EVENT_ID    
--    WHERE  fm.FSA_MDS_EVENT_ID  = @FSA_MDS_EVENT_ID    
-- END      
    
--IF (SELECT Count(1) FROM @Table) > 0    
-- BEGIN     
--  IF @H5_H6_CUST_ID != 0    
--   BEGIN    
--    -----------------------------------------------------------------------    
--    -- Table 0 - MNS OE Grid Data.    
--    -----------------------------------------------------------------------    
--    SELECT DISTINCT @Tab_Seq_Nbr      AS TAB_SEQ_NBR    
--        ,0         AS FSA_MDS_EVENT_ID    
--        ,fs.FTN AS MNS_OE_FTN    
--        --,ISNULL(ln.MNS_OE_DES, ' ')   AS MNS_OE_DES    
--        --,ISNULL(oe.MNS_OE_ID, 0)   AS MNS_OE_ID    
--        --,ISNULL(lm.MNS_OE_TYPE_DES, ' ') AS MNS_OE_TYPE_DES    
--        --,ISNULL(oe.MNS_OE_TYPE_ID, 0)  AS MNS_OE_TYPE_ID    
--        ,' '        AS MNS_OE_DES    
--        ,0         AS MNS_OE_ID    
--        ,' '        AS MNS_OE_TYPE_DES    
--        ,0         AS MNS_OE_TYPE_ID    
--        ,ISNULL(ls.MDS_SRVC_TIER_DES, ' ') AS MDS_SRVC_TIER_DES    
--        ,ISNULL(ls.MDS_SRVC_TIER_ID, 0)  AS MDS_SRVC_TIER_ID    
--        ,ISNULL(le.MDS_ENTLMNT_DES, ' ')  AS MDS_ENTLMNT_DES    
--        ,ISNULL(oe.MDS_ENTLMNT_ID, 0)  AS MDS_ENTLMNT_ID    
--        ,ISNULL(oe.MDS_ENTLMNT_OE_ID, ' ')  AS MDS_ENTLMNT_OE_ID    
--        ,0         AS MDSMNSOEID    
--        ,ISNULL(vt.ORDR_ID, 0)    AS ORDR_ID    
--     FROM  @Table   vt    
--     INNER JOIN dbo.FSA_ORDR fs WITH (NOLOCK) ON fs.ORDR_ID = vt.ORDR_ID    
--     --LEFT JOIN dbo.FSA_MDS_EVENT_ORDR fo WITH (NOLOCK) ON vt.ORDR_ID = fo.ORDR_ID    
--     --LEFT JOIN dbo.FSA_MDS_EVENT fo WITH (NOLOCK) ON fo.FSA_MDS_EVENT_ID = fo.ORDR_ID    
--     LEFT JOIN dbo.MDS_EVENT_MNS_OE oe WITH (NOLOCK) ON fs.ORDR_ID = oe.ORDR_ID    
--     LEFT JOIN dbo.LK_MNS_OE_TYPE  lm WITH (NOLOCK) ON oe.MNS_OE_TYPE_ID = lm.MNS_OE_TYPE_ID    
--     --LEFT JOIN dbo.LK_MNS_OE   ln WITH (NOLOCK) ON oe.MNS_OE_ID  = ln.MNS_OE_ID 
--     LEFT JOIN dbo.LK_MDS_SRVC_TIER ls WITH (NOLOCK) ON RTRIM(LTRIM(fs.INSTL_SRVC_TIER_CD)) = ls.MDS_SRVC_TIER_ID    
--     LEFT JOIN dbo.LK_MDS_ENTLMNT  le WITH (NOLOCK) ON oe.MDS_ENTLMNT_ID = le.MDS_ENTLMNT_ID    
--     WHERE  fs.PROD_TYPE_CD IN ('MN', 'SE')    
--      AND  fs.ORDR_TYPE_CD IN ('IN')    
--    -----------------------------------------------------------------------    
--    -- Table 1 - MNS Managed Devices Grid Data.    
--    -----------------------------------------------------------------------    
--    SELECT DISTINCT @Tab_Seq_Nbr      AS TAB_SEQ_NBR    
--        --,ISNULL(fo.FSA_MDS_EVENT_ID, 0)  AS FSA_MDS_EVENT_ID    
--        ,0        AS FSA_MDS_EVENT_ID    
--        ,fs.FTN      AS FTN_CPE    
--        ,' '      AS DEV_NME    
--        ,' '      AS DEV_ID    
--        ,ISNULL(fob.LINE_ITEM_DES,'') AS EQUIP_DESC    
--        ,ISNULL(foc.MFR_NME, '') AS EQUIP_VNDR    
--        ,' '      AS MANF_NME    
--        ,0       AS MANF_ID    
--        ,' '      AS DEV_MODEL_NME    
--        ,0       AS DEV_MODEL_ID    
--        ,0       AS VndrID     
--        ,ISNULL(vt.ORDR_ID, 0)  AS ORDR_ID    
--        --EQPT_ID, MFR_NME    
--     FROM  @Table   vt    
--     INNER JOIN dbo.FSA_ORDR fs WITH (NOLOCK) ON fs.ORDR_ID = vt.ORDR_ID    
--     INNER JOIN dbo.ORDR  od WITH (NOLOCK) ON fs.ORDR_ID = od.ORDR_ID    
--     LEFT JOIN dbo.FSA_ORDR_CPE_LINE_ITEM foc WITH (NOLOCK) ON fs.ORDR_ID = foc.ORDR_ID    
--     LEFT JOIN  dbo.FSA_ORDR_BILL_LINE_ITEM fob WITH (NOLOCK) ON foc.FSA_CPE_LINE_ITEM_ID = fob.FSA_CPE_LINE_ITEM_ID    
--     WHERE  fs.ORDR_TYPE_CD IN ('IN')    
--      AND  ( (od.DMSTC_CD = 1 AND fs.PROD_TYPE_CD = 'CP')    
--        OR ( od.DMSTC_CD       = 0        
--         AND fs.PROD_TYPE_CD      IN ('CP', 'IP')     
--         AND ISNULL(fs.CPE_CPE_ORDR_TYPE_CD, '') != '')    
--        )    
           
         
--    -----------------------------------------------------------------------    
--    -- Table 2 - MNS Event Location Grid Data. NOT REQUIRED    
--    -----------------------------------------------------------------------    
--    SELECT DISTINCT  @Tab_Seq_Nbr     AS TAB_SEQ_NBR    
--         ,0        AS FSA_MDS_EVENT_ID    
--         ,''        AS MDS_LOC_CAT_DES    
--         ,ISNULL(ml.MDS_LOC_CAT_ID, '') AS MDS_LOC_CAT_ID    
--         ,''        AS MDS_LOC_TYPE_DES    
--         ,ISNULL(ml.MDS_LOC_TYPE_ID, '') AS MDS_LOC_TYPE_ID    
--         ,ISNULL(ml.MDS_LOC_NBR, '')  AS MDS_LOC_NBR    
--         ,''        AS MDS_LOC_RAS_DT    
--         ,@Tab_Seq_Nbr     AS TAB_SEQ_NBR    
--         ,0        AS MDSLOCID      
--      FROM  dbo.MDS_EVENT_LOC ml WITH (NOLOCK)     
--      WHERE  1 != 1    
    
--    -----------------------------------------------------------------------    
--    -- Table 3 - MNS Wired Transport Device Grid Data. NOT REQUIRED    
--    -----------------------------------------------------------------------    
--    SELECT DISTINCT ISNULL (lm.MDS_TRNSPRT_TYPE_DES, '') AS WdTransportType     
--        ,ISNULL(lm.MDS_TRNSPRT_TYPE_ID, 0)  AS MDS_TRNSPRT_TYPE_ID    
--        ,'0'         AS PRIM_BKUP_CD    
--        ,ISNULL(fo.FTN, 0)      AS TRPT_FTN     
--        ,''          AS WdPrimaryBackup          
--        ,''          AS FMS_CKT_ID    
--        ,''          AS PL_NBR    
--        ,ISNULL(fo.TTRPT_NW_ADR, '')   AS NUA_449_ADR    
--        ,''          AS OLD_CKT_ID    
--        ,0          AS MULTI_LINK_CKT_CD    
--        ,''          AS NEW_NUA    
--        ,''          AS NEW_FMS_CKT_ID    
--        ,''          AS FOC_DT    
--        ,0          AS TELCO_ID    
--        ,''          AS WdMultilinkCircuit     
--        ,''          AS WdSprintManaged    
--        ,'0'         AS SPRINT_MNGD_CD    
--        ,' '          AS WdTelcoCallout    
--        ,@Tab_Seq_Nbr       AS TAB_SEQ_NBR     
--        ,0          AS GrpWdID    
--        ,0          AS WdID    
--     FROM  @Table     vt    
--     LEFT JOIN dbo.FSA_ORDR   fo WITH (NOLOCK) ON vt.ORDR_ID    = fo.ORDR_ID    
--     LEFT JOIN dbo.ORDR    od WITH (NOLOCK) ON fo.ORDR_ID    = od.ORDR_ID     
--     LEFT JOIN dbo.LK_MDS_TRNSPRT_TYPE lm WITH (NOLOCK) ON fo.INSTL_TRNSPRT_TYPE_CD= lm.MDS_TRNSPRT_CD    
--     WHERE  fo.ORDR_TYPE_CD IN  ('IN')    
--      AND  ( (od.DMSTC_CD = 1 AND fo.PROD_TYPE_CD NOT IN ('MN', 'CP', 'SE'))    
--        OR ( od.DMSTC_CD       = 0        
--         AND fo.PROD_TYPE_CD      IN ('CP', 'IP')     
--         AND ISNULL(fo.TTRPT_ACCS_TYPE_CD, '') != '')    
--        )    
         
--    -----------------------------------------------------------------------    
--    -- Table 4 - MNS Wireless Transport Device Grid Data. NOT REQUIRED    
--    -----------------------------------------------------------------------    
--    SELECT DISTINCT '' AS WlPrimaryBackup    
--        ,ISNULL(md.PRIM_BKUP_CD, '') AS PRIM_BKUP_CD    
--        ,ISNULL(md.ESN, '')    AS ESN    
--        ,@Tab_Seq_Nbr     AS TAB_SEQ_NBR    
--        ,0        AS WlID    
--     FROM  dbo.MDS_EVENT_WRLS_TRNSPRT_DEV md WITH (NOLOCK)     
--     WHERE  1 != 1    
        
--    -----------------------------------------------------------------------    
--    -- Table 5 - MNS Virtual Connection PVC Grid Data. NOT REQUIRED.    
--    -----------------------------------------------------------------------    
--    SELECT   ISNULL(DLCI_ID, '') AS PVC_ID    
--        ,@Tab_Seq_Nbr  AS TAB_SEQ_NBR    
--        ,0     AS VirtualConnPVCID    
--     FROM  dbo.MDS_EVENT_PVC WITH (NOLOCK)     
--     WHERE  1 != 1    
        
--    -----------------------------------------------------------------------    
--    -- Table 6 - Get the remaining data for a given MNS Event Data.    
--    -----------------------------------------------------------------------    
--    IF EXISTS(SELECT 'X' FROM    @Table    vt      
--     INNER JOIN dbo.ORDR   od WITH (NOLOCK) ON vt.ORDR_ID = od.ORDR_ID      
--     INNER JOIN dbo.FSA_ORDR  fo WITH (NOLOCK) ON od.ORDR_ID = fo.ORDR_ID      
--     LEFT JOIN dbo.ORDR_CNTCT  sc WITH (NOLOCK) ON fo.ORDR_ID = sc.ORDR_ID      
--     LEFT JOIN dbo.ORDR_CNTCT  oc WITH (NOLOCK) ON fo.ORDR_ID = oc.ORDR_ID      
--        WHERE  (oc.CNTCT_TYPE_ID = 1 and oc.role_id = 6)    
--           and (sc.CNTCT_TYPE_ID = 3     
--             and (LEN(ISNULL(dbo.decryptBinaryData(sc.FRST_NME), '')) <> 0)    
--            ))    
--    BEGIN          
--     SELECT DISTINCT -- CPE Section      
--      0       AS SPRINT_CPE_NCR_ID      
--      ,''       AS CPE_DSPCH_EMAIL_ADR      
--      ,''       AS CPE_DSPCH_CMNT_TXT      
--      -- Transport Section      
--      --,0       AS TRPT_FTN      
--      ,0       AS WIRED_DEV_TRNSPRT_REQR_CD      
--      ,0       AS WRLS_TRNSPRT_REQR_CD      
--      ,0       AS VRTL_CNCTN_CD      
--      ,0       AS CMPLTD_CD      
--      ---- Site Location Info      
--      ,ISNULL(dbo.decryptBinaryData(oc.FRST_NME), '') + ' ' +      
--       ISNULL(dbo.decryptBinaryData(oc.LST_NME), '')  AS  INSTL_SITE_POC_NME      
--      ,Case ISNULL(oc.ISD_CD, '') When '' Then '' Else oc.ISD_CD + '-' End      
--        + Case ISNULL(oc.PHN_NBR, '')      
--          When '' Then ISNULL(oc.CTY_CD, '')       
--           + ISNULL(oc.NPA, '')        
--           + ISNULL(oc.NXX, '')        
--           + ISNULL(oc.STN_NBR, '')       
--          Else ISNULL(oc.CTY_CD, '')   + oc.PHN_NBR      
--      End        AS  INSTL_SITE_POC_PHN_NBR       
--      ,''           AS  INSTL_SITE_POC_CELL_PHN_NBR      
--      ,ISNULL(dbo.decryptBinaryData(sc.FRST_NME), '') + ' ' +      
--       ISNULL(dbo.decryptBinaryData(sc.LST_NME), '')  AS  SRVC_ASSRN_POC_NME      
--      , Case ISNULL(sc.ISD_CD, '') When '' Then '' Else sc.ISD_CD + '-' End      
--        + Case ISNULL(sc.PHN_NBR, '')      
--          When '' Then ISNULL(sc.CTY_CD, '')       
--           + ISNULL(sc.NPA, '')        
--           + ISNULL(sc.NXX, '')        
--           + ISNULL(sc.STN_NBR, '')       
--          Else ISNULL(sc.CTY_CD, '')  + sc.PHN_NBR      
--         End   AS  SRVC_ASSRN_POC_PHN_NBR               
--      ,''           AS  SRVC_ASSRN_POC_CELL_NBR      
--      -- Event Scheduling Tools      
--      ,''           AS  ESCL_CD      
--      ,'2011-08-29 10:25:30.007'     AS PRIM_REQ_DT      
--      ,'2011-08-29 10:25:30.007'     AS SCNDY_REQ_DT      
--      --,getDate()         AS PRIM_REQ_DT      
--      --,getDate()         AS SCNDY_REQ_DT      
--      ,0           AS  ESCL_REAS_ID      
--      ,''           AS  CMPLTD_EMAIL_CC_TXT      
--      ,''           AS  PUB_EMAIL_CC_TXT      
--      ,''           AS  DISC_NTFY_PDL_NME      
--      ,''           AS  CUST_ACCT_TEAM_PDL_NME            
--      ,0           AS  WRKFLW_STUS_ID      
--      ,0           AS FAIL_REAS_ID      
--      -- Contact Info in Event Scheduling Tools      
--      ,0           AS  REQOR_USER_ID      
--      ,''           AS FULL_NME      
--      ,''           AS PHN_NBR      
--      ,''           AS CELL_PHN_NBR      
--      ,''           AS EMAIL_ADR      
--      ,''           AS PGR_NBR      
--      ,''           AS PGR_PIN_NBR      
--      ,@Tab_Seq_Nbr        AS TAB_SEQ_NBR      
--      FROM  @Table    vt      
--      INNER JOIN dbo.ORDR   od WITH (NOLOCK) ON vt.ORDR_ID = od.ORDR_ID      
--      INNER JOIN dbo.FSA_ORDR  fo WITH (NOLOCK) ON od.ORDR_ID = fo.ORDR_ID      
--      LEFT JOIN dbo.ORDR_CNTCT  sc WITH (NOLOCK) ON fo.ORDR_ID = sc.ORDR_ID      
--      LEFT JOIN dbo.ORDR_CNTCT  oc WITH (NOLOCK) ON fo.ORDR_ID = oc.ORDR_ID      
--         WHERE  (oc.CNTCT_TYPE_ID = 1 and oc.role_id = 6)    
--           and (sc.CNTCT_TYPE_ID = 3     
--             and (LEN(ISNULL(dbo.decryptBinaryData(sc.FRST_NME), '')) <> 0)    
--            )    
--    END     
--    ELSE IF EXISTS( SELECT 'X' FROM  @Table    vt      
--     INNER JOIN dbo.ORDR   od WITH (NOLOCK) ON vt.ORDR_ID = od.ORDR_ID      
--     INNER JOIN dbo.FSA_ORDR  fo WITH (NOLOCK) ON od.ORDR_ID = fo.ORDR_ID      
--     LEFT JOIN dbo.ORDR_CNTCT  sc WITH (NOLOCK) ON fo.ORDR_ID = sc.ORDR_ID      
--     LEFT JOIN dbo.ORDR_CNTCT  oc WITH (NOLOCK) ON fo.ORDR_ID = oc.ORDR_ID      
--        WHERE  (oc.CNTCT_TYPE_ID = 1 and oc.role_id = 6)    
--            )         
--    BEGIN     
--       SELECT DISTINCT -- CPE Section      
--        0       AS SPRINT_CPE_NCR_ID      
--        ,''       AS CPE_DSPCH_EMAIL_ADR      
--        ,''       AS CPE_DSPCH_CMNT_TXT      
--        -- Transport Section      
--        --,0       AS TRPT_FTN      
--        ,0       AS WIRED_DEV_TRNSPRT_REQR_CD      
--        ,0       AS WRLS_TRNSPRT_REQR_CD      
--        ,0       AS VRTL_CNCTN_CD      
--        ,0       AS CMPLTD_CD      
--        ---- Site Location Info      
--        ,ISNULL(dbo.decryptBinaryData(oc.FRST_NME), '') + ' ' +      
--         ISNULL(dbo.decryptBinaryData(oc.LST_NME), '')  AS  INSTL_SITE_POC_NME      
--        ,Case od.DMSTC_CD       
--         When 1 Then Case ISNULL(oc.ISD_CD, '') When '' Then '' Else oc.ISD_CD + '-' End      
--          + Case ISNULL(oc.PHN_NBR, '')      
--            When '' Then ISNULL(oc.CTY_CD, '')       
--             + ISNULL(oc.NPA, '')        
--             + ISNULL(oc.NXX, '')        
--             + ISNULL(oc.STN_NBR, '')       
--            Else oc.PHN_NBR      
--           End                    
--         Else Case ISNULL(oc.PHN_NBR, '')      
--         When '' Then ISNULL(oc.ISD_CD, '')      
--          + ISNULL(oc.CTY_CD, '')       
--          + ISNULL(oc.NPA, '')        
--          + ISNULL(oc.NXX, '')        
--          + ISNULL(oc.STN_NBR, '')      
--         Else oc.PHN_NBR      
--           End      
--        End         AS  INSTL_SITE_POC_PHN_NBR       
--        ,''           AS  INSTL_SITE_POC_CELL_PHN_NBR      
--        ,''  AS  SRVC_ASSRN_POC_NME      
--        , ''  SRVC_ASSRN_POC_PHN_NBR               
--        ,''           AS  SRVC_ASSRN_POC_CELL_NBR      
--        -- Event Scheduling Tools      
--        ,''           AS  ESCL_CD      
--        ,'2011-08-29 10:25:30.007'     AS PRIM_REQ_DT      
--        ,'2011-08-29 10:25:30.007'     AS SCNDY_REQ_DT      
--        --,getDate()         AS PRIM_REQ_DT      
--        --,getDate()         AS SCNDY_REQ_DT      
--        ,0           AS  ESCL_REAS_ID      
--        ,''           AS  CMPLTD_EMAIL_CC_TXT      
--        ,''           AS  PUB_EMAIL_CC_TXT      
--        ,''           AS  DISC_NTFY_PDL_NME      
--        ,''           AS  CUST_ACCT_TEAM_PDL_NME            
--        ,0           AS  WRKFLW_STUS_ID      
--        ,0           AS FAIL_REAS_ID      
--    -- Contact Info in Event Scheduling Tools      
--        ,0           AS  REQOR_USER_ID      
--        ,''           AS FULL_NME      
--        ,''           AS PHN_NBR      
--        ,''           AS CELL_PHN_NBR      
--        ,''           AS EMAIL_ADR      
--        ,''           AS PGR_NBR      
--        ,''           AS PGR_PIN_NBR      
--        ,@Tab_Seq_Nbr        AS TAB_SEQ_NBR      
--        FROM  @Table    vt      
--        INNER JOIN dbo.ORDR   od WITH (NOLOCK) ON vt.ORDR_ID = od.ORDR_ID      
--        INNER JOIN dbo.FSA_ORDR  fo WITH (NOLOCK) ON od.ORDR_ID = fo.ORDR_ID      
--        LEFT JOIN dbo.ORDR_CNTCT  sc WITH (NOLOCK) ON fo.ORDR_ID = sc.ORDR_ID      
--        LEFT JOIN dbo.ORDR_CNTCT  oc WITH (NOLOCK) ON fo.ORDR_ID = oc.ORDR_ID      
--           WHERE  (oc.CNTCT_TYPE_ID = 1 and oc.role_id = 6)    
--    END    
--    ELSE     
--    BEGIN     
--       SELECT DISTINCT -- CPE Section      
--        0       AS SPRINT_CPE_NCR_ID      
--        ,''       AS CPE_DSPCH_EMAIL_ADR      
--        ,''       AS CPE_DSPCH_CMNT_TXT      
--        -- Transport Section      
--        ,0       AS TRPT_FTN      
--        ,0       AS WIRED_DEV_TRNSPRT_REQR_CD      
--        ,0       AS WRLS_TRNSPRT_REQR_CD      
--        ,0       AS VRTL_CNCTN_CD      
--        ,0       AS CMPLTD_CD      
--        ---- Site Location Info      
--        ,ISNULL(dbo.decryptBinaryData(oc.FRST_NME), '') + ' ' +      
--         ISNULL(dbo.decryptBinaryData(oc.LST_NME), '')  AS  INSTL_SITE_POC_NME      
--        ,Case od.DMSTC_CD       
--         When 1 Then Case ISNULL(oc.ISD_CD, '') When '' Then '' Else oc.ISD_CD + '-' End      
--          + Case ISNULL(oc.PHN_NBR, '')      
--            When '' Then ISNULL(oc.CTY_CD, '')       
--             + ISNULL(oc.NPA, '')        
--             + ISNULL(oc.NXX, '')        
--             + ISNULL(oc.STN_NBR, '')       
--            Else oc.PHN_NBR      
--           End                    
--         Else Case ISNULL(oc.PHN_NBR, '')      
--         When '' Then ISNULL(oc.ISD_CD, '')      
--          + ISNULL(oc.CTY_CD, '')       
--          + ISNULL(oc.NPA, '')        
--          + ISNULL(oc.NXX, '')        
--          + ISNULL(oc.STN_NBR, '')      
--         Else oc.PHN_NBR      
--           End      
--        End           AS  INSTL_SITE_POC_PHN_NBR       
--        ,''           AS  INSTL_SITE_POC_CELL_PHN_NBR      
--        ,''     AS  SRVC_ASSRN_POC_NME      
--        , ''    AS SRVC_ASSRN_POC_PHN_NBR               
--        ,''           AS  SRVC_ASSRN_POC_CELL_NBR      
--        -- Event Scheduling Tools      
--        ,''           AS  ESCL_CD      
--        ,'2011-08-29 10:25:30.007'     AS PRIM_REQ_DT      
--        ,'2011-08-29 10:25:30.007'     AS SCNDY_REQ_DT      
--        --,getDate()         AS PRIM_REQ_DT      
--        --,getDate()         AS SCNDY_REQ_DT      
--        ,0           AS  ESCL_REAS_ID      
--        ,''           AS  CMPLTD_EMAIL_CC_TXT      
--        ,''           AS  PUB_EMAIL_CC_TXT      
--        ,''           AS  DISC_NTFY_PDL_NME      
--        ,''           AS  CUST_ACCT_TEAM_PDL_NME            
--        ,0           AS  WRKFLW_STUS_ID      
--        ,0           AS FAIL_REAS_ID      
--        -- Contact Info in Event Scheduling Tools      
--        ,0           AS  REQOR_USER_ID      
--        ,''           AS FULL_NME      
--        ,''           AS PHN_NBR      
--        ,''           AS CELL_PHN_NBR      
--        ,''           AS EMAIL_ADR      
--        ,''           AS PGR_NBR      
--        ,''           AS PGR_PIN_NBR      
--        ,@Tab_Seq_Nbr        AS TAB_SEQ_NBR      
--        FROM  @Table    vt      
--        INNER JOIN dbo.ORDR   od WITH (NOLOCK) ON vt.ORDR_ID = od.ORDR_ID      
--        INNER JOIN dbo.FSA_ORDR  fo WITH (NOLOCK) ON od.ORDR_ID = fo.ORDR_ID      
--        LEFT JOIN dbo.ORDR_CNTCT  sc WITH (NOLOCK) ON fo.ORDR_ID = sc.ORDR_ID      
--        LEFT JOIN dbo.ORDR_CNTCT  oc WITH (NOLOCK) ON fo.ORDR_ID = oc.ORDR_ID      
--           WHERE   (sc.CNTCT_TYPE_ID = 3     
--             and (LEN(ISNULL(dbo.decryptBinaryData(sc.FRST_NME), '')) <> 0)    
--            )    
             
--     END    
--     -----------------------------------------------------------------------    
--     -- Table 7 - Get the Order IDs for a given MNS Event Data.    
--     -----------------------------------------------------------------------    
--     SELECT DISTINCT @Tab_Seq_Nbr      AS TAB_SEQ_NBR    
--             ,fo.ORDR_ID    
--     FROM  @Table   vt    
--     LEFT JOIN dbo.FSA_ORDR fo WITH (NOLOCK) ON vt.ORDR_ID = fo.ORDR_ID    
         
--     -----------------------------------------------------------------------    
--     -- Table 8 - Get the FTN's for Transport Order.    
--     -----------------------------------------------------------------------    
--     SELECT  DISTINCT @Tab_Seq_Nbr     AS TAB_SEQ_NBR    
--          ,fo.FTN                 AS TRPT_FTN        
--     FROM @Table   vt    
--       LEFT JOIN FSA_ORDR fo WITH (NOLOCK) ON vt.ORDR_ID = fo.ORDR_ID     
--       INNER JOIN ACT_TASK at WITH (NOLOCK) ON at.ORDR_ID = fo.ORDR_ID    
--     WHERE fo.PROD_TYPE_CD NOT IN ('MN', 'CP', 'SE')    
--        AND fo.ORDR_TYPE_CD in ('IN')    
           
--     -----------------------------------------------------------------------    
--     -- Table 9 - Get the Address elements for the order .    
--     -----------------------------------------------------------------------    
--     OPEN SYMMETRIC KEY FS@K3y     
--     DECRYPTION BY CERTIFICATE S3cFS@CustInf0;    
--     SELECT DISTINCT    
--        -- Site Location Info    
--        ISNULL(dbo.decryptBinaryData(oa.STREET_ADR_1), '') + ' ' +    
--         ISNULL(dbo.decryptBinaryData(oa.STREET_ADR_2), '') AS  ADR    
--        ,ISNULL(dbo.decryptBinaryData(oa.BLDG_NME), '')   AS  FLR_BLDG_NME    
--        ,ISNULL(dbo.decryptBinaryData(oa.CTY_NME), '')   AS  CTY_NME    
--        ,ISNULL(dbo.decryptBinaryData(oa.STT_CD), '') +      
--         ISNULL(dbo.decryptBinaryData(oa.PRVN_NME), '')  AS  STT_PRVN_NME    
--        ,ISNULL(lc.CTRY_NME, '')        AS  CTRY_RGN_NME    
--        ,ISNULL(oa.CTRY_CD, '')         AS  CTRY_CD    
--        ,ISNULL(dbo.decryptBinaryData(oa.ZIP_PSTL_CD), '')  AS  ZIP_CD    
--        ,Case od.DMSTC_CD    
--         When NULL Then 'D'    
--         When 0 Then 'D'    
--         Else 'I'    
--        End              AS US_INTL_ID    
--        ,138             AS  TME_ZONE_ID    
--     FROM @Table    vt    
--       INNER JOIN dbo.ORDR   od WITH (NOLOCK) ON vt.ORDR_ID = od.ORDR_ID    
--       INNER JOIN dbo.FSA_ORDR  fo WITH (NOLOCK) ON od.ORDR_ID = fo.ORDR_ID    
--       LEFT JOIN dbo.ORDR_ADR  oa WITH (NOLOCK) ON fo.ORDR_ID = oa.ORDR_ID    
--       LEFT JOIN dbo.LK_CTRY   lc WITH (NOLOCK) ON oa.CTRY_CD = lc.CTRY_CD    
--      WHERE   oa.ADR_TYPE_ID  = 18    
     
--   END    
--  ELSE    
--   BEGIN    
--    -----------------------------------------------------------------------    
--    -- Table 0 - MNS OE Grid Data.    
--    -----------------------------------------------------------------------    
--    SELECT DISTINCT ISNULL(fe.TAB_SEQ_NBR, @Tab_Seq_Nbr)AS TAB_SEQ_NBR    
--        ,ISNULL(fe.FSA_MDS_EVENT_ID, 0)  AS FSA_MDS_EVENT_ID    
--        ,ISNULL(oe.FTN, '')     AS MNS_OE_FTN    
--        ,ISNULL(ln.MNS_OE_DES, ' ')   AS MNS_OE_DES    
--        ,ISNULL(oe.MNS_OE_ID, 0)   AS MNS_OE_ID    
--        ,ISNULL(lm.MNS_OE_TYPE_DES, ' ') AS MNS_OE_TYPE_DES    
--        ,ISNULL(oe.MNS_OE_TYPE_ID, 0)  AS MNS_OE_TYPE_ID    
--        ,ISNULL(ls.MDS_SRVC_TIER_DES, ' ') AS MDS_SRVC_TIER_DES    
--        ,ISNULL(oe.MDS_SRVC_TIER_ID, 0)  AS MDS_SRVC_TIER_ID    
--        ,ISNULL(le.MDS_ENTLMNT_DES, ' ') AS MDS_ENTLMNT_DES    
--        ,ISNULL(oe.MDS_ENTLMNT_ID, 0)  AS MDS_ENTLMNT_ID    
--        ,ISNULL(oe.MDS_ENTLMNT_OE_ID, ' ')  AS MDS_ENTLMNT_OE_ID    
--        ,ISNULL(oe.MDS_EVENT_MNS_OE_ID, 0) AS MDSMNSOEID    
--        ,oe.ORDR_ID       AS ORDR_ID    
--     FROM  @Table     vt    
--     INNER JOIN dbo.FSA_MDS_EVENT       fe  WITH (NOLOCK)   ON  fe.FSA_MDS_EVENT_ID = vt.FSA_MDS_EVENT_ID    
--     INNER JOIN dbo.MDS_EVENT_MNS_OE oe WITH (NOLOCK) ON vt.FSA_MDS_EVENT_ID = oe.FSA_MDS_EVENT_ID    
--     LEFT JOIN dbo.LK_MNS_OE_TYPE  lm WITH (NOLOCK) ON oe.MNS_OE_TYPE_ID = lm.MNS_OE_TYPE_ID    
--     LEFT JOIN dbo.LK_MNS_OE   ln WITH (NOLOCK) ON oe.MNS_OE_ID  = ln.MNS_OE_ID    
--     LEFT JOIN dbo.LK_MDS_SRVC_TIER ls WITH (NOLOCK) ON oe.MDS_SRVC_TIER_ID = ls.MDS_SRVC_TIER_ID    
--     LEFT JOIN dbo.LK_MDS_ENTLMNT  le WITH (NOLOCK) ON oe.MDS_ENTLMNT_ID = le.MDS_ENTLMNT_ID    
         
--    -----------------------------------------------------------------------    
--    -- Table 1 - MNS Managed Devices Grid Data.    
--    -----------------------------------------------------------------------    
--    SELECT DISTINCT ISNULL(fe.TAB_SEQ_NBR, @Tab_Seq_Nbr)AS TAB_SEQ_NBR    
--        ,ISNULL(fe.FSA_MDS_EVENT_ID, 0)  AS FSA_MDS_EVENT_ID    
--        ,ISNULL(md.FTN, '')     AS FTN_CPE    
--        ,ISNULL(md.DEV_NME, '')    AS DEV_NME    
--        ,ISNULL(md.DEV_NME, '')    AS DEV_ID    
--        --,ISNULL(dv.DEV_ID, 0)    AS DEV_ID    
--        ,ISNULL(md.EQPT_DES, '')   AS EQUIP_DESC     
--        ,ISNULL(md.EQPT_VNDR_NME, '')  AS EQUIP_VNDR    
--        ,ISNULL(lm.MANF_NME, '')   AS MANF_NME    
--        ,ISNULL(md.MANF_ID, 0)    AS MANF_ID    
--        ,ISNULL(ld.DEV_MODEL_NME, '')  AS DEV_MODEL_NME    
--        ,ISNULL(md.DEV_MODEL_ID, 0)   AS DEV_MODEL_ID    
--        ,ISNULL(md.MDS_EVENT_MNGD_DEV_ID, 0) AS VndrID    
--        ,md.ORDR_ID       AS ORDR_ID     
--     FROM  @Table     vt    
--     INNER JOIN dbo.MDS_EVENT_MNGD_DEV md WITH (NOLOCK) ON vt.FSA_MDS_EVENT_ID = md.FSA_MDS_EVENT_ID    
--     INNER JOIN dbo.FSA_MDS_EVENT       fe  WITH (NOLOCK)   ON  fe.FSA_MDS_EVENT_ID = vt.FSA_MDS_EVENT_ID    
--     LEFT JOIN dbo.LK_DEV_MANF   lm WITH (NOLOCK) ON md.MANF_ID   = lm.MANF_ID    
--     LEFT JOIN dbo.LK_DEV_MODEL  ld WITH (NOLOCK) ON md.DEV_MODEL_ID  = ld.DEV_MODEL_ID    
--     LEFT JOIN dbo.LK_DEV    dv WITH (NOLOCK) ON md.DEV_NME   = dv.DEV_NME    
         
--    -----------------------------------------------------------------------    
--    -- Table 2 - MNS Event Location Grid Data.    
--    -----------------------------------------------------------------------    
--    SELECT DISTINCT  ISNULL(fe.TAB_SEQ_NBR, @Tab_Seq_Nbr)AS TAB_SEQ_NBR    
--         ,ISNULL(fe.FSA_MDS_EVENT_ID, 0)  AS FSA_MDS_EVENT_ID    
--         ,ISNULL(lm.MDS_LOC_CAT_DES, '')       AS MDS_LOC_CAT_DES    
--         ,ISNULL(ml.MDS_LOC_CAT_ID, '')      AS MDS_LOC_CAT_ID    
--         ,ISNULL(lt.MDS_LOC_TYPE_DES, '')     AS MDS_LOC_TYPE_DES    
--         ,ISNULL(ml.MDS_LOC_TYPE_ID, '')      AS MDS_LOC_TYPE_ID    
--         ,ISNULL(ml.MDS_LOC_NBR, '')       AS MDS_LOC_NBR    
--         ,ISNULL(Convert(Varchar(10), MDS_LOC_RAS_DT, 101), '') AS MDS_LOC_RAS_DT    
--         ,0             AS MDSLOCID      
--      FROM  @Table     vt    
--      INNER JOIN dbo.FSA_MDS_EVENT   fe  WITH (NOLOCK)   ON  fe.FSA_MDS_EVENT_ID = vt.FSA_MDS_EVENT_ID    
--      INNER JOIN dbo.MDS_EVENT_LOC ml WITH (NOLOCK) ON vt.FSA_MDS_EVENT_ID = ml.FSA_MDS_EVENT_ID    
--      LEFT JOIN dbo.LK_MDS_LOC_CAT lm WITH (NOLOCK) ON ml.MDS_LOC_CAT_ID = lm.MDS_LOC_CAT_ID    
--      LEFT JOIN dbo.LK_MDS_LOC_TYPE lt WITH (NOLOCK) ON ml.MDS_LOC_TYPE_ID = lt.MDS_LOC_TYPE_ID     
    
--    -----------------------------------------------------------------------    
--    -- Table 3 - MNS Wired Transport Device Grid Data.    
--    -----------------------------------------------------------------------    
--    SELECT DISTINCT ISNULL(fe.TAB_SEQ_NBR, @Tab_Seq_Nbr)AS TAB_SEQ_NBR    
--        ,ISNULL(fe.FSA_MDS_EVENT_ID, 0)  AS FSA_MDS_EVENT_ID    
--        ,ml.TRPT_FTN        AS TRPT_FTN    
--        ,ISNULL(lm.MDS_TRNSPRT_TYPE_DES, '')  AS WdTransportType     
--        ,ISNULL(ml.MDS_TRNSPRT_TYPE_ID, 0)   AS MDS_TRNSPRT_TYPE_ID    
--        ,Case ISNULL(ml.PRIM_BKUP_CD, '')     
--         When 'P' Then 'Primary'    
--         When 'B' Then 'Backup'    
--         Else ''    
--        End           AS WdPrimaryBackup          
--        ,ISNULL(ml.PRIM_BKUP_CD, '')    AS PRIM_BKUP_CD    
--        ,ISNULL(ml.FMS_CKT_ID, '')     AS FMS_CKT_ID    
--        ,ISNULL(ml.PL_NBR, '')      AS PL_NBR    
--        ,ISNULL(ml.NUA_449_ADR, '')     AS NUA_449_ADR    
--        ,ISNULL(ml.OLD_CKT_ID, '')     AS OLD_CKT_ID    
--        --,CASE(ml.MULTI_LINK_CKT_CD) WHEN 'T' THEN 1     
--        --  WHEN 'F' THEN 0     
--        --  WHEN 'Y' THEN 1    
--        --  WHEN 'N' THEN 0    
--        --  ELSE 0 END   AS MULTI_LINK_CKT_CD    
--        ,ml.MULTI_LINK_CKT_CD    
--        ,CASE ISNULL (ml.MULTI_LINK_CKT_CD, '')    
--           WHEN 'Y' THEN 'Yes'    
--           WHEN 'N' THEN 'No'    
--           Else ''    
--         END          AS WdMultilinkCircuit     
--        --,CASE ISNULL (ml.MULTI_LINK_CKT_CD, '')    
--        --   WHEN 'Y' THEN 'Yes'    
--        --   WHEN 'N' THEN 'No'    
--        --   Else ''    
--        -- END          AS WdSprintManaged    
--        ,ISNULL(ml.NEW_FMS_CKT_ID, '')   AS NEW_FMS_CKT_ID    
--        ,ISNULL(ml.NEW_NUA_449_ADR, '')   AS NEW_NUA    
--        ,CASE ISNULL(SPRINT_MNGD_CD, '')    
--         WHEN 'S' THEN 'Sprint'    
--         WHEN 'C' THEN 'Customer'     
--         Else ''       
--        END           AS WdSprintManaged    
--        ,ISNULL(SPRINT_MNGD_CD, '')    AS SPRINT_MNGD_CD    
--        ,ISNULL(ml.TELCO_ID, '')     AS TELCO_ID  
--        ,ISNULL(lt.TELCO_NME, '') + ':' +     
--        ISNULL(lt.TELCO_CNTCT_PHN_NBR, '')   AS WdTelcoCallout  
--        ,ISNULL(Convert(Varchar(10), FOC_DT, 101), '') AS FOC_DT       
--        ,0 AS GRPWdID    
--        ,ISNULL(MDS_EVENT_WIRED_TRNSPRT_DEV_ID, 0) AS WdID    
--     FROM  @Table       vt    
--     INNER JOIN dbo.FSA_MDS_EVENT       fe  WITH (NOLOCK)   ON  fe.FSA_MDS_EVENT_ID = vt.FSA_MDS_EVENT_ID    
--     INNER JOIN dbo.MDS_EVENT_WIRED_TRNSPRT_DEV ml WITH (NOLOCK) ON vt.FSA_MDS_EVENT_ID  = ml.FSA_MDS_EVENT_ID    
--     LEFT JOIN dbo.LK_MDS_TRNSPRT_TYPE   lm WITH (NOLOCK) ON ml.MDS_TRNSPRT_TYPE_ID = lm.MDS_TRNSPRT_TYPE_ID             
--     LEFT JOIN dbo.LK_TELCO     lt WITH (NOLOCK) ON ml.TELCO_ID    = lt.TELCO_ID    
         
--    -----------------------------------------------------------------------    
--    -- Table 4 - MNS Wireless Transport Device Grid Data.    
--    -----------------------------------------------------------------------    
--    SELECT DISTINCT ISNULL(fe.TAB_SEQ_NBR, @Tab_Seq_Nbr)AS TAB_SEQ_NBR    
--        ,ISNULL(fe.FSA_MDS_EVENT_ID, 0)  AS FSA_MDS_EVENT_ID    
--        ,Case ISNULL(md.PRIM_BKUP_CD, '')     
--         When 'P' Then 'Primary'    
--         When 'B' Then 'Backup'    
--         Else ''    
--        End        AS WlPrimaryBackup    
--        ,ISNULL(md.PRIM_BKUP_CD, '') AS PRIM_BKUP_CD    
--        ,ISNULL(md.ESN, '')    AS ESN    
--        ,0        AS WlID    
--     FROM  @Table       vt    
--     INNER JOIN dbo.MDS_EVENT_WRLS_TRNSPRT_DEV md WITH (NOLOCK) ON vt.FSA_MDS_EVENT_ID = md.FSA_MDS_EVENT_ID       
--     INNER JOIN dbo.FSA_MDS_EVENT   fe  WITH (NOLOCK)   ON  fe.FSA_MDS_EVENT_ID = vt.FSA_MDS_EVENT_ID    
        
--    -----------------------------------------------------------------------    
--    -- Table 5 - MNS Virtual Connection PVC Grid Data.    
--    -----------------------------------------------------------------------    
--    SELECT DISTINCT ISNULL(fe.TAB_SEQ_NBR, @Tab_Seq_Nbr)AS TAB_SEQ_NBR    
--        ,ISNULL(fe.FSA_MDS_EVENT_ID, 0)  AS FSA_MDS_EVENT_ID    
--        ,ISNULL(md.DLCI_ID, '') AS PVC_ID    
--        ,0      AS VirtualConnPVCID    
--     FROM  @Table    vt    
--     INNER JOIN dbo.FSA_MDS_EVENT   fe  WITH (NOLOCK)   ON  fe.FSA_MDS_EVENT_ID = vt.FSA_MDS_EVENT_ID    
--     INNER JOIN dbo.MDS_EVENT_PVC md WITH (NOLOCK) ON vt.FSA_MDS_EVENT_ID = md.FSA_MDS_EVENT_ID    
        
--    -----------------------------------------------------------------------    
--    -- Table 6 - Get the remaining data for a given MNS Event Data.    
--    -----------------------------------------------------------------------    
--    SELECT DISTINCT ISNULL(fm.TAB_SEQ_NBR, @Tab_Seq_Nbr)AS TAB_SEQ_NBR    
--        ,ISNULL(fm.FSA_MDS_EVENT_ID, 0)  AS FSA_MDS_EVENT_ID    
--        -- CPE Section    
--        ,ISNULL(fm.SPRINT_CPE_NCR_ID, 0)   AS SPRINT_CPE_NCR_ID    
--        ,ISNULL(fm.SRVC_ASSRN_SITE_SUPP_ID, 0)  AS SRVC_ASSRN_SITE_SUPP_ID    
--        ,ISNULL(fm.CPE_DSPCH_EMAIL_ADR, '')   AS CPE_DSPCH_EMAIL_ADR    
--        ,ISNULL(fm.CPE_DSPCH_CMNT_TXT, '')   AS CPE_DSPCH_CMNT_TXT    
--        -- Transport Section    
--        --,ISNULL(fm.TRPT_FTN, '')     AS TRPT_FTN    
--        ,fm.WIRED_DEV_TRNSPRT_REQR_CD    AS WIRED_DEV_TRNSPRT_REQR_CD    
--        ,fm.WRLS_TRNSPRT_REQR_CD     AS WRLS_TRNSPRT_REQR_CD    
--        ,fm.VRTL_CNCTN_CD       AS VRTL_CNCTN_CD    
--        ,ISNULL(dbo.decryptBinaryData(fm.INSTL_SITE_POC_NME), '')   AS  INSTL_SITE_POC_NME    
--        ,ISNULL(fm.INSTL_SITE_POC_PHN_NBR, '')  AS  INSTL_SITE_POC_PHN_NBR    
--        ,ISNULL(fm.INSTL_SITE_POC_CELL_PHN_NBR, '') AS  INSTL_SITE_POC_CELL_PHN_NBR    
--        ,ISNULL(dbo.decryptBinaryData(fm.SRVC_ASSRN_POC_NME), '')   AS  SRVC_ASSRN_POC_NME    
--        ,ISNULL(fm.SRVC_ASSRN_POC_PHN_NBR, '')  AS  SRVC_ASSRN_POC_PHN_NBR    
--        ,ISNULL(fm.SRVC_ASSRN_POC_CELL_NBR, '')  AS  SRVC_ASSRN_POC_CELL_NBR    
--        ,fm.CMPLTD_CD        AS CMPLTD_CD    
--        -- Event Scheduling Tools    
--        --,ISNULL (fm.ESCL_CD, 0)      AS  ESCL_CD    
--        --,PRIM_REQ_DT        AS PRIM_REQ_DT    
--        --,SCNDY_REQ_DT        AS SCNDY_REQ_DT    
--        --,ISNULL(fm.ESCL_REAS_ID, 0)     AS  ESCL_REAS_ID    
--        --,ISNULL(fm.CMPLTD_EMAIL_CC_TXT, '')   AS  CMPLTD_EMAIL_CC_TXT    
--        --,ISNULL(fm.PUB_EMAIL_CC_TXT, '')   AS  PUB_EMAIL_CC_TXT    
--        --,ISNULL(fm.DISC_NTFY_PDL_NME, '')   AS  DISC_NTFY_PDL_NME    
--        --,ISNULL(fm.CUST_ACCT_TEAM_PDL_NME, '')  AS  CUST_ACCT_TEAM_PDL_NME          
--        --,ISNULL(fm.WRKFLW_STUS_ID, 0)    AS  WRKFLW_STUS_ID    
--        --,ISNULL(fm.FAIL_REAS_ID, 0)     AS FAIL_REAS_ID    
--        -- Contact Info in Event Scheduling Tools    
--        --,ISNULL(fm.REQOR_USER_ID, 0)    AS  REQOR_USER_ID    
--        --,lu.FULL_NME        AS FULL_NME    
--        --,ISNULL(lu.PHN_NBR, '')      AS PHN_NBR    
--        --,ISNULL(CELL_PHN_NBR, '')     AS CELL_PHN_NBR    
--        --,ISNULL(EMAIL_ADR, '')      AS EMAIL_ADR    
--        --,ISNULL(PGR_NBR, '')      AS PGR_NBR    
--        --,ISNULL(PGR_PIN_NBR, '')     AS PGR_PIN_NBR    
--     FROM  @Table    vt    
--     INNER JOIN dbo.FSA_MDS_EVENT fm WITH (NOLOCK) ON vt.FSA_MDS_EVENT_ID = fm.FSA_MDS_EVENT_ID      
--     --INNER JOIN dbo.LK_USER   lu WITH (NOLOCK) ON fm.REQOR_USER_ID = lu.USER_ID      
--     -----------------------------------------------------------------------    
--     -- Table 7 - Get the Order IDs for a given MNS Event Data.    
--     -----------------------------------------------------------------------    
--     SELECT DISTINCT @Tab_Seq_Nbr      AS TAB_SEQ_NBR    
--             ,vt.ORDR_ID    
--     FROM  @Table   vt    
--     --LEFT JOIN dbo.FSA_MDS_EVENT_ORDR fo WITH (NOLOCK) ON vt.ORDR_ID = fo.ORDR_ID    
         
--     -----------------------------------------------------------------------    
--     -- Table 8 - Get the FTN's for Transport Order.    
--     -----------------------------------------------------------------------    
--     SELECT DISTINCT @Tab_Seq_Nbr      AS TAB_SEQ_NBR    
--             ,0         AS TRPT_FTN    
--     FROM  @Table    vt    
--     INNER JOIN dbo.FSA_MDS_EVENT fm WITH (NOLOCK) ON vt.FSA_MDS_EVENT_ID = fm.FSA_MDS_EVENT_ID     
--     ----------------------------------------------------------------------    
--     -- Table 9 - Get the FTN's for Transport Order.    
--     -----------------------------------------------------------------------    
--     SELECT DISTINCT    
--     -- Site Location Info    
--        ISNULL(dbo.decryptBinaryData(fm.ADR), '')   AS  ADR    
--        ,ISNULL(dbo.decryptBinaryData(fm.FLR_BLDG_NME), '') AS  FLR_BLDG_NME    
--        ,ISNULL(dbo.decryptBinaryData(fm.CTY_NME), '')  AS  CTY_NME    
--        ,ISNULL(dbo.decryptBinaryData(fm.STT_PRVN_NME), '') AS  STT_PRVN_NME    
--        ,ISNULL(dbo.decryptBinaryData(fm.CTRY_RGN_NME), '') AS  CTRY_RGN_NME    
--        ,ISNULL(dbo.decryptBinaryData(fm.ZIP_CD), '')  AS  ZIP_CD    
--        ,Case ISNULL(dbo.decryptBinaryData(fm.US_INTL_ID), NULL)    
--         When NULL Then 'D'    
--         When 'D' Then 'D'    
--         Else 'I'    
--        End             AS US_INTL_ID     
--        ,ISNULL(fm.TME_ZONE_ID, 0) AS  TME_ZONE_ID    
--     FROM  @Table    vt    
--     INNER JOIN dbo.FSA_MDS_EVENT fm WITH (NOLOCK) ON vt.FSA_MDS_EVENT_ID = fm.FSA_MDS_EVENT_ID      
         
--   END         
-- END    
--End Try    
    
--Begin Catch    
-- EXEC [dbo].[insertErrorInfo]    
--End Catch    
--END 